Skip to main content
`Ctrl`+`K`

# DMPlexGetAdjacencyUser

get the user-defined adjacency callback

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexGetAdjacencyUser(DM dm, PetscErrorCode (**user)(DM, PetscInt, PetscInt *, PetscInt[], void *), void **ctx)

## Input Parameter

- dm - The `DM` object

## Output Parameters

- user - The callback

- ctx - context for callback evaluation

## See Also

`DMPLEX`, `DMSetAdjacency()`, `DMPlexDistribute()`, `DMPlexPreallocateOperator()`, `DMPlexGetAdjacency()`, `DMPlexSetAdjacencyUser()`

## Level

advanced

## Location

src/dm/impls/plex/plexdistribute.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages